import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../../member/user/components/view.component';

import { ServicesResolver } from './resolvers/service.resolver';
import { UserResolver } from '../../member/user/resolvers/user.resolver';

export const serviceRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      services: ServicesResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
